Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster
Class ClusterEvent

    java.lang.Object
      org.exist.cluster.ClusterEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CreateCollectionClusterEvent, RemoveClusterEvent, RemoveCollectionClusterEvent, StoreClusterEvent, UpdateClusterEvent

public abstract class ClusterEvent
extends java.lang.Object
implements java.io.Serializable

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina Date: Aug 30, 2004 Time: 3:42:17 PM Revision $Revision: 2134 $
See Also:
  Serialized Form

Field Summary
`static int` | `NO_EVENT`

Constructor Summary
`ClusterEvent()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`abstract void` | `execute()` Execute the current command.
`Collection` | `getCollection()`
`Collection` | `getCollection(java.lang.String cName)`
`java.lang.String` | `getCollectionName()`
`int` | `getCounter()`
`java.lang.String` | `getDocumentName()`
`int` | `getId()`
`XMLResource` | `getResource()`
`void` | `setCounter(int counter)`
`void` | `setId(int id)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_EVENT

    public static final int NO_EVENT

See Also:
  Constant Field Values

Constructor Detail

### ClusterEvent

    public ClusterEvent()

Method Detail

### getCollectionName

    public java.lang.String getCollectionName()

### getDocumentName

    public java.lang.String getDocumentName()

### equals

    public boolean equals(java.lang.Object o)

### execute

    public abstract void execute()
                          throws ClusterException

  Execute the current command.

  Throws:
    `ClusterException`

### getResource

    public XMLResource getResource()
                            throws XMLDBException

  Throws:
    `XMLDBException`

### getCollection

    public Collection getCollection(java.lang.String cName)
                             throws XMLDBException

  Throws:
    `XMLDBException`

### getCollection

    public Collection getCollection()
                             throws XMLDBException

  Throws:
    `XMLDBException`

### getId

    public int getId()

### setId

    public void setId(int id)

### getCounter

    public int getCounter()

### setCounter

    public void setCounter(int counter)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.